#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "PowerWidgetPresentationComponent.generated.h"

class UPowerWidgetData;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class DEADBYDAYLIGHT_API UPowerWidgetPresentationComponent : public UActorComponent
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UPowerWidgetData* _powerWidgetData;

public:
	UPowerWidgetPresentationComponent();
};

FORCEINLINE uint32 GetTypeHash(const UPowerWidgetPresentationComponent) { return 0; }
